JSON-125 : add libpEpAdapter to README.md and other small fixes and URL updates. sync
authorRoker <roker@pep-project.org>
Thu, 29 Aug 2019 21:27:30 +0200
branchsync
changeset 715fe9a0492effe
parent 714 e871f94366eb
child 716 8d775f1a2952
JSON-125 : add libpEpAdapter to README.md and other small fixes and URL updates.
README.md
     1.1 --- a/README.md	Tue Aug 27 14:16:14 2019 +0200
     1.2 +++ b/README.md	Thu Aug 29 21:27:30 2019 +0200
     1.3 @@ -14,12 +14,13 @@
     1.4  ## Dependencies
     1.5  * C++ compiler: tested with g++ 4.8 and 4.9, and clang++ 2.8. Newer versions should work, too.
     1.6  * GNU make
     1.7 -* libboost-thread-dev (tested with 1.58)
     1.8 -* libboost-program-options-dev  (tested with 1.58)
     1.9 -* libboost-filesystem-dev (tested with 1.58)
    1.10 +* libboost-thread-dev (tested with 1.58, 1.62 and 1.70)
    1.11 +* libboost-program-options-dev  (tested with 1.58, 1.62 and 1.70)
    1.12 +* libboost-filesystem-dev (tested with 1.58, 1.62 and 1.70)
    1.13  * libevent-dev 2.0.21 or 2.0.22 (or build from source, see below)
    1.14 -* [p≡p Engine](https://letsencrypt.pep.foundation/trac/wiki/Basic%20Concepts%20of%20p%E2%89%A1p%20engine)
    1.15 +* [p≡p Engine](https://pep.foundation/dev/repos/pEpEngine/)
    1.16    (which needs gpgme-thread, a patched libetpan, libboost-system-dev)
    1.17 +* [libpEpAdapter](https://pep.foundation/dev/repos/libpEpAdapter/)
    1.18  * OSSP libuuid
    1.19  
    1.20  ## Building/Installing
    1.21 @@ -29,7 +30,8 @@
    1.22  ~~~~~
    1.23  apt install -y build-essential libboost1.62-dev libboost-system1.62-dev \
    1.24      libboost-filesystem1.62-dev libboost-program-options1.62-dev \
    1.25 -    libboost-thread1.62-dev libgpgme-dev uuid-dev googletest
    1.26 +    libboost-thread1.62-dev libgpgme-dev uuid-dev googletest \
    1.27 +    libevent-dev libevhtp-dev
    1.28  ~~~~~
    1.29  
    1.30  macOS 10.12:
    1.31 @@ -43,6 +45,9 @@
    1.32  [https://cacert.pep.foundation/dev/repos/pEpEngine/file/ef23982e4744/README.md](https://cacert.pep.foundation/dev/repos/pEpEngine/file/ef23982e4744/README.md).
    1.33  
    1.34  ### Build and install libevent
    1.35 +
    1.36 +It is recommended to use the libevent from your system's repository, if it contains the right version.
    1.37 +
    1.38  ~~~~~
    1.39  mkdir ~/code/json-ad
    1.40  hg clone https://cacert.pep.foundation/dev/repos/pEpJSONServerAdapter/ ~/code/json-ad